## org.apache.catalina
Class ServerFactory

    java.lang.Object
      org.apache.catalina.ServerFactory

public class ServerFactory
extends java.lang.Object

ServerFactory allows the registration of the (singleton) `Server` instance for this JVM, so that it can be accessed independently of any existing reference to the component hierarchy. This is important for administration tools that are built around the internal component implementation classes.

Version:
  $Revision: 1.3 $ $Date: 2004/02/27 14:58:39 $
Author:
  Craig R. McClanahan

Constructor Summary
`ServerFactory()`

Method Summary
`static Server` `getServer()` Return the singleton `Server` instance for this JVM.
`static void` `setServer(Server theServer)` Set the singleton `Server` instance for this JVM.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerFactory

    public ServerFactory()

Method Detail

### getServer

    public static Server getServer()

  Return the singleton `Server` instance for this JVM.

### setServer

    public static void setServer(Server theServer)

  Set the singleton `Server` instance for this JVM. This method must only be called from a constructor of the (singleton) `Server` instance that is created for this execution of Catalina.

  Parameters:
    `theServer` - The new singleton instance

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.